Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.groupJep.groups
Class Group

    java.lang.Object
      org.lsmp.djep.groupJep.groups.Group

All Implemented Interfaces:
  GroupI

Direct Known Subclasses:
  BigReals, FreeGroup, Integers, PermutationGroup, Quaternions, Rationals, Reals, Zn

    public abstract class Group

extends java.lang.Object
implements GroupI

Base abstract class for all groups.

Author:
  Rich Morris Created on 06-Mar-2004

Constructor Summary
`Group()`

Method Summary
`void` | `addStandardConstants(JEP j)` adds the standard constants for this group.
`void` | `addStandardFunctions(JEP j)` adds the standard function for this group By default does nothing.
`NumberFactory` | `getNumberFactory()` returns a number factory for creating group elements from strings
`boolean` | `isConstantPoly(java.lang.Number a)` Default implementation.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.lsmp.djep.groupJep.GroupI
`add, equals, getInverse, getZERO, sub, valueOf`

Constructor Detail

### Group

    public Group()

Method Detail

### getNumberFactory

    public NumberFactory getNumberFactory()

  returns a number factory for creating group elements from strings

  Specified by:
    `getNumberFactory` in interface `GroupI`

### addStandardConstants

    public void addStandardConstants(JEP j)

  adds the standard constants for this group. By default does nothing.

  Specified by:
    `addStandardConstants` in interface `GroupI`

### addStandardFunctions

    public void addStandardFunctions(JEP j)

  adds the standard function for this group By default does nothing.

  Specified by:
    `addStandardFunctions` in interface `GroupI`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isConstantPoly

    public boolean isConstantPoly(java.lang.Number a)

  Default implementation. Returns true.

  Specified by:
    `isConstantPoly` in interface `GroupI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems